JDK-4299454 : java.lang.StackOverflowError with sunwjit
  • Type: Bug
  • Component: vm-legacy
  • Sub-Component: jit
  • Affected Version: 1.2.2
  • Priority: P4
  • Status: Closed
  • Resolution: Won't Fix
  • OS: linux
  • CPU: x86
  • Submitted: 1999-12-14
  • Updated: 2000-01-04
  • Resolved: 2000-01-04
Description

Name: skT88420			Date: 12/14/99


java version "1.2.2"
Classic VM (build Linux_JDK_RC3, green threads, sunwjit)


This is a duplicate of the following Blackdown bug, but only Sun can fix it
since the Blackdown group does not have access to the "sunwjit" source:

  Bug Id 1613, "java.lang.StackOverflowError with sunwjit"
  http://www.blackdown.org/cgi-bin/jdk/incoming?id=1613

I know Sun is using the Inprise "javacomp" JIT in its JDK 1.2.2 RC1 release for
Linux, but Blackdown is still using Sun's "sunwjit" JIT.  Right now, we're faced
with having to tell our customers to download the Blackdown JDK (for fixes to
Blackdown Bugs 1578 and 1604) and then telling them to replace Sun's JIT with
the Inprise JIT for fixes to this bug.

This bug causes the VolanoMark network scalability test to fail the 4,000
connection test.
(Review ID: 98998) 
======================================================================

Comments
WORK AROUND Name: skT88420 Date: 12/14/99 Use another Just-in-Time Compiler such as the Inprise "javacomp" JIT, or even IBM's JIT, instead of Sun's JIT. ======================================================================
2004-06-11

EVALUATION The sunwjit has been obsolete for long time. We are not going to fix the problem. NOTE: the stack overflow is a fatal user error, it can not be fully recovered on most systems. ###@###.### 2000-01-03
2000-01-03